{
  "version": "0.5.0",
  "types": "dist/types/index.d.ts",
  "main": "dist/cjs/index.js",
  "module": "dist/esm/index.js",
  "exports": {
    "require": "./dist/cjs/index.js",
    "import": "./dist/esm/index.js"
  },
  "files": [
    "dist",
    "src"
  ],
  "engines": {
    "node": ">=10"
  },
  "author": "TheoryOfNekomata <allan.crisostomo@outlook.com>",
  "license": "MIT",
  "private": false,
  "bugs": {
    "url": "https://code.modal.sh/tesseract-design/react-common/issues"
  },
  "keywords": [
    "components",
    "react"
  ],
  "name": "@tesseract-design/react-common",
  "homepage": "https://make.modal.sh/tesseract/web/react/common",
  "title": "React Common",
  "org": "Tesseract Design",
  "description": "Common front-end components for Web using the Tesseract design system, written in React.",
  "repository": "https://code.modal.sh/tesseract-design/react-common.git",
  "devDependencies": {
    "@babel/core": "^7.15.0",
    "@storybook/addon-actions": "^6.3.7",
    "@storybook/addon-essentials": "^6.3.7",
    "@storybook/addon-links": "^6.3.7",
    "@storybook/react": "^6.3.7",
    "@testing-library/jest-dom": "^5.14.1",
    "@testing-library/react": "^12.0.0",
    "@testing-library/react-hooks": "^7.0.1",
    "@types/jest": "^27.0.1",
    "@types/node": "^16.6.1",
    "@types/react": "^17.0.17",
    "@types/styled-components": "^5.1.12",
    "babel-loader": "^8.2.2",
    "eslint": "^7.32.0",
    "eslint-config-lxsmnsyc": "^0.2.3",
    "pridepack": "^0.10.0",
    "react": "^17.0.2",
    "react-dom": "^17.0.2",
    "react-test-renderer": "^17.0.2",
    "styled-components": "^5.3.0",
    "tslib": "^2.3.1",
    "typescript": "^4.3.5"
  },
  "peerDependencies": {
    "react": "^16.8.0 || ^17.0.0",
    "react-dom": "^16.8.0 || ^17.0.0",
    "styled-components": "^5.3.0"
  },
  "scripts": {
    "prepublish": "pridepack clean && pridepack build",
    "build": "pridepack build",
    "type-check": "pridepack check",
    "lint": "pridepack lint",
    "test": "pridepack test --passWithNoTests",
    "clean": "pridepack clean",
    "watch": "pridepack watch",
    "storybook": "start-storybook -p 6006 -s public",
    "build-storybook": "build-storybook -s public"
  },
  "dependencies": {
    "@reach/slider": "^0.16.0",
    "pascal-case": "^3.1.2",
    "react-feather": "^2.0.9"
  }
}
